#
# spec file for package python-pyliblzma
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define oname   pyliblzma
%define skip_python3 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyliblzma
Version:        0.5.3
Release:        5.2
Summary:        Python bindings for liblzma
License:        LGPL-3.0-only
Group:          Development/Libraries/Python
URL:            https://launchpad.net/pyliblzma
Source:         https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.bz2
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRequires:  pkgconfig(liblzma)
Obsoletes:      %{name}-doc
%python_subpackages

%description
PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be
decompressed by Lasse Collin's xz / lzma utils.

%prep
%setup -q -n %{oname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%check
%python_exec setup.py test

%files %{python_files}
%license COPYING
%doc ChangeLog NEWS README THANKS
%{python_sitearch}/*

%changelog
* Thu Jul 26 2018 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use python singlespec
- Drop useless removal of shebang
- Reduce duplicities
- Drop doc subpackage
* Thu Dec 17 2015 rjschwei@suse.com
- Fix build for SLE_11_SP{3,4}
  + In SLE 11 the build setup cannot differentiate between a noarch sub
    package and arch dependent package. All packages must be either
    arch dependent or noarch. Since the main package is arch dependent
    the doc package also needs to be arch dependent for SLE 11 builds
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Mon Jun  8 2015 nemysis@gmx.ch
- Modernize spec
- Use %%{oname} instead of pyliblzma
- Use %%{module} instead of liblzma
- Change Summary
- Change license GNU General Public License version 3 (GPL v3) to LGPL-3.0
- Change URL
- Split out doc and add doc into subpackages
- Change Description
- Add sed, fix Shebang
- Use right files name instead of files.lst
* Tue Aug 10 2010 pascal.bleser@opensuse.org
- require xz-devel, as anything else is too old to build properly anyway
* Tue Aug 10 2010 pascal.bleser@opensuse.org
- initial package (0.5.3)
